class SSPlayerController extends UTPlayerController;

exec function NextWeapon()
{
	Pawn.InvManager.SetCurrentWeapon(SSPlayerPawn(Pawn).Weapon02);
}

exec function PrevWeapon()
{
	Pawn.InvManager.SetCurrentWeapon(SSPlayerPawn(Pawn).Weapon01);
}

exec function SelectSkill()
{
	Pawn.InvManager.SetCurrentWeapon(SSPlayerPawn(Pawn).Skills);
}

exec function UseCover()
{
local SSPawn SSP;
SSP=SSPawn(Pawn);
if(!SSP.InCover)
	{
		if(SSP.CanHide)
			{
				SSP.InCover=True;
				bDuck=1;
			}
	}
else
	{
		SSP.InCover=False;
		bDuck=0;
	}
}

exec function StartFire( optional byte FireModeNum )
{
local SSPawn SSP;
SSP=SSPawn(Pawn);
if(SSP.InCover)
{
	bDuck = 0;
	Super.StartFire(FireModeNum );
}
else
{
Super.StartFire(FireModeNum );
}
}

exec function StopFire( optional byte FireModeNum )
{
local SSPawn SSP;
SSP=SSPawn(Pawn);
if(SSP.InCover)
{
	bDuck = 1;
	Super.StopFire(FireModeNum );
}
else
{
Super.StopFire(FireModeNum );
}
}